Skip to main content
`Ctrl`+`K`

# SNESFASCycleGetInterpolation

Gets the interpolation on a level

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASCycleGetInterpolation(SNES snes, Mat *mat)

Logically Collective

## Input Parameter

- snes - the `SNESFAS` obtained with `SNESFASGetCycleSNES()`

## Output Parameter

- mat - the interpolation operator on this level

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESFAS`, `SNESFASCycleGetSmootherUp()`, `SNESFASCycleGetSmoother()`

## Level

advanced

## Location

src/snes/impls/fas/fasfunc.c

Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages